Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Verify node.js version #321

Closed
fernandomm opened this Issue Oct 3, 2012 · 0 comments

Comments

Projects
None yet
2 participants

I guess it would be good for beginners if you can verify node.js version before starting up.

Example, i was hitting this exception on my dev machine:

$ tower new app

node.js:201
        throw e; // process.nextTick error, or 'error' event on first tick
              ^
TypeError: Object #<Object> has no method 'existsSync'
    at Object.<anonymous> (/usr/local/lib/node_modules/tower/bin/tower:7:8)
    at Module._compile (module.js:432:26)
    at Object..js (module.js:450:10)
    at Module.load (module.js:351:31)
    at Function._load (module.js:310:12)
    at Array.0 (module.js:470:10)
    at EventEmitter._tickCallback (node.js:192:40)

Due to an old version of node.js. Simply showing, "hey you need at least version X" would be nicer.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment